aboutsummaryrefslogtreecommitdiff
path: root/test/rust/rust_at_pinned_version.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/rust/rust_at_pinned_version.sh
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/rust/rust_at_pinned_version.sh')
-rw-r--r--test/rust/rust_at_pinned_version.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/rust/rust_at_pinned_version.sh b/test/rust/rust_at_pinned_version.sh
new file mode 100644
index 0000000..2954a7a
--- /dev/null
+++ b/test/rust/rust_at_pinned_version.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "cargo version" cargo --version
+check "rustc version" rustc --version
+check "correct rust version" rustc --version | grep 1.62.0
+
+
+# Report result
+reportResults \ No newline at end of file